var angular = require('cla_angular');

var dt      = require('datatables.net');
var colreorder = require('datatables.net-colreorder');

angular.module("cla.core.datatable", ['ngResource', 'cla.core.lmsg']);
require('ng.cla.core.lmsg');
require('./datatable/css/datatable.css');
require('./datatable/dt.service.js');
require('./datatable/dt.directive.js');
require('./datatable/controls/perpage.directive.js');
require('./datatable/controls/info.directive.js');
require('./datatable/controls/paging.directive.js');
require('./datatable/controls/search.directive.js');
require('./datatable/dt.controller.js');



module.exports = {
    init: function (dom_element) {
        if (typeof angular.element(dom_element).scope() === 'undefined') {
            angular.bootstrap(dom_element, ["cla.core.datatable"]);
        }
    }
};
